For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inTry it free
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
  • REST API overview
    • Access Tokens
    • Account Members
    • Account Usage Beta
    • AI Configs
    • Announcements
    • Applications Beta
    • Approvals
    • Approvals Beta
    • Audit Log
    • Code References
    • Contexts
    • Context Settings
    • Custom Roles
    • Data Export Destinations
    • Environments
    • Experiments
    • Feature Flags
    • Feature Flags Beta
    • Flag Import Configurations Beta
    • Flag Links Beta
    • Flag Triggers
    • Follow Flags
    • Holdouts Beta
    • Insights Charts Beta
    • Insights Deployments Beta
    • Insights Flag Events Beta
    • Insights Pull Requests Beta
    • Insights Repositories Beta
    • Insights Scores Beta
    • Integration Audit Log Subscriptions
    • Integration Delivery Configurations Beta
    • Integrations Beta
    • Layers
    • Metrics
    • Metrics Beta
    • OAuth2 Clients
    • Persistent Store Integrations Beta
    • Projects
    • Relay Proxy Configurations
    • Release Pipelines Beta
    • Releases Beta
    • Scheduled Changes
    • Segments
    • Tags
    • Teams
      • POSTAdd multiple members to team
      • POSTCreate team
      • DELDelete team
      • GETGet team
      • GETGet team custom roles
      • GETGet team maintainers
      • GETList teams
      • PATCHUpdate team
    • Teams Beta
    • Users
    • Users Beta
    • User Settings
    • Views Beta
    • Webhooks
    • Workflows
    • Workflow Templates
    • Other
Sign inTry it free
LogoLogo
REST API overviewTeams

Get team maintainers

GET
/api/v2/teams/:teamKey/maintainers
GET
/api/v2/teams/:teamKey/maintainers
$curl https://app.launchdarkly.com/api/v2/teams/teamKey/maintainers \
> -H "Authorization: <apiKey>"
1{
2 "totalCount": 1,
3 "items": [
4 {
5 "_links": {
6 "self": {
7 "href": "/api/v2/members/569f183514f4432160000007",
8 "type": "application/json"
9 }
10 },
11 "_id": "569f183514f4432160000007",
12 "role": "reader",
13 "email": "ariel@acme.com",
14 "firstName": "Ariel",
15 "lastName": "Flores"
16 }
17 ],
18 "_links": {
19 "self": {
20 "href": "/api/v2/teams/example-team/maintainers?limit=20",
21 "type": "application/json"
22 }
23 }
24}
Fetch the maintainers that have been assigned to the team. To learn more, read [Managing team maintainers](https://launchdarkly.com/docs/home/account/team-maintainers).
Was this page helpful?
Previous

List teams

Next
Built with

Fetch the maintainers that have been assigned to the team. To learn more, read Managing team maintainers.

Authentication

Authorizationstring
API Key authentication via header

Path parameters

teamKeystringRequiredformat: "string"
The team key

Query parameters

limitlongOptional
The number of maintainers to return in the response. Defaults to 20.
offsetlongOptional

Where to start in the list. This is for use with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit.

Response

Team maintainers response
totalCountinteger
The number of maintainers of the team
itemslist of objects
Details on the members that have been assigned as maintainers of the team
_linksmap from strings to objects
The location and content type of related resources

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
429
Too Many Requests Error